mate-screensaver (1.28.1-1) unstable; urgency=medium

  [ Sui Vue ]
  * New upstream release.
  * debian/control:
    + Update debhelper-compat to 14.
    + Add 'dh-sequence-python3' to B-D.
    + Update Standards-Version to 4.7.4.
    + Drop redundant fields "Priority: optional" and "Rules-Requires-Root: no".
  * debian/patches:
    + Rebase 1002_RDA-support-Make-MATE-s-screensaver-aware-of-being-r.patch
      for new release.
  * debian/copyright:
    + Update copyright information
  * debian/watch:
    + Switch to version 5.
    + Use GitHub releases URL for 'Source' field to address "502 Bad Gateway"
      error with previous source URL.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Aug 2026 13:18:13 +0200

mate-screensaver (1.26.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update B-D: libgl1-mesa-dev -> libgl-dev.
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/rules:
    + Use /usr/libexec as libexecdir in configure.
  * debian/mate-screensaver.install:
    + Adjust to using a more standardized libexecdir.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Dec 2023 15:15:41 +0100

mate-screensaver (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase RDA patches.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 07:45:02 +0100

mate-screensaver (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/watch:
    + Use format version 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Dec 2021 22:38:42 +0100

mate-screensaver (1.24.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2020 09:37:44 +0200

mate-screensaver (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Update versioned B-D on mate-common (>= 1.24.0-1~).
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
    - Ensure lock on suspend and unlock on resume. (Closes: #770660).
  * debian/patches:
    + Drop 1001_add-keywords-to-desktop-files.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Add B-D libxml2-utils.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Feb 2020 09:40:31 +0100

mate-screensaver (1.22.2-2) unstable; urgency=medium

  * post-upload fix debian/patches/series (add trailing EOL at EOF)
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
  * debian/patches:
    + Trivial rebase of
      1002_RDA-support-Make-MATE-s-screensaver-aware-of-being-r.patch.
    + Add 1003_RDA-Disable-switch-user-button-if-session-is-remote.patch.
      Hide the switch user button if a session is remote.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Dec 2019 08:56:20 +0100

mate-screensaver (1.22.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_lock_on_suspend.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Sep 2019 22:52:51 +0200

mate-screensaver (1.22.1-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Update 0001_lock_on_suspend.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Sep 2019 17:02:02 +0200

mate-screensaver (1.22.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_lock_on_suspend.patch. Implement lock on suspend.

  [ Mike Gabriel ]
  * debian/patches:
    + Add Origin: field to 0001_lock_on_suspend.patch as simplest form of
      a patch header.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Aug 2019 13:04:22 +0200

mate-screensaver (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Updated for MATE Desktop 1.22
  * debian/patches:
    + Rebase 1002_RDA-support-Make-MATE-s-screensaver-aware-of-being-r.patch.
      What was 1004_configure.ac-Explicitly-require-in-RDA-0.0.3.patch has
      been merged in to this single patch.
    + Drop 1003_mate-screensaver-command-Support-unlocking-unlock-th.patch.
      Applied upstream.

  [ Mike Gabriel ]
  * debian/patches:
    + Rebase 1002_RDA-support-Make-MATE-s-screensaver-aware-of-being-r.patch.
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Jul 2019 00:29:00 +0200

mate-screensaver (1.20.3-3) unstable; urgency=medium

  * debian/patches:
    + Update 1003_mate-screensaver-command-Support-unlocking-unlock-th.patch.
      Add/fix -u short option.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Jan 2019 10:38:16 +0100

mate-screensaver (1.20.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 1003_mate-screensaver-command-Support-unlocking-unlock-th.patch.
      Support unlocking the screensaver via mate-screensaver-command.
    + Add 1002_RDA-support-Make-MATE-s-screensaver-aware-of-being-r.patch. Show
      remote desktop session disconnect button when screensaver is locked.
    + Add 1004_configure.ac-Explicitly-require-in-RDA-0.0.3.patch. Explicitly
      require RDA 0.0.3 or higher.
  * debian/control:
    + Versioned B-D on librda-dev (>= 0.0.3-2~).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Jan 2019 14:56:34 +0100

mate-screensaver (1.20.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Jan 2019 16:58:39 +0100

mate-screensaver (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + White-space fix at EOF.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 17 Sep 2018 13:18:37 +0200

mate-screensaver (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Use secure URI for copyright format.
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URL.
    + Fix typo in Source: URL.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address in Contact: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jul 2018 11:36:10 +0200

mate-screensaver (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/rules (already in 1.19.1-0ubuntu1):
    + White space removal.
  * debian/copyright (already in 1.19.1-0ubuntu1):
    + Update copyright attributions.
  * debian/patches (already in 1.19.1-0ubuntu2):
    + Add 0001_hidpi: Add HiDPI support.
  * debian/patches (already in 1.20.0-0ubuntu1):
    + Drop 0001_hidpi.patch. Applied upstream.

  [ Vangelis Mouhtsis ]
  * debian/control (already in 1.19.1-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/{control,compat}: Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Feb 2018 17:50:51 +0100

mate-screensaver (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:56 +0000

mate-screensaver (1.19.1-0ubuntu2) bionic; urgency=medium

  * debian/patches:
    + Add 0001_hidpi.patch. HiDPI support for the lock screen.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 06 Feb 2018 15:27:43 +0000

mate-screensaver (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Tue, 23 Jan 2018 23:38:25 +0000

mate-screensaver (1.18.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0000_fix_idle_slider_display.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 10:38:10 +0100

mate-screensaver (1.18.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches: Add 0000_fix_idle_slider_display.patch. Fix the idle
    slider in screen saver preferences.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Sep 2017 11:01:48 +0200

mate-screensaver (1.18.1-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream release.

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/rules: Remove obsolete --with-gtk=3.0
  * debian/control: Dependencies updated for MATE 1.18.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/rules:
    + Add new block for override_dh_missing.
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Jul 2017 13:02:13 +0200

mate-screensaver (1.16.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix blanking of screen on dual monitors. (Closes: #826636).
    - Fix blank screen screensaver. (Closes: #841642).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 17:12:16 +0100

mate-screensaver (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Fix locking of screens in multi-monitor setups. (Closes: #826636).

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.0-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2016 23:15:45 +0200

mate-screensaver (1.15.0-0ubuntu1) yakkety; urgency=medium

  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

mate-screensaver (1.14.1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + B-D: libgtk-3-dev
    + Versioned B-D: libmate-desktop-dev (>= 1.14)
    + Versioned B-D: libmate-menu-dev (>= 1.14)
    + Versioned B-D: libmatekbd-dev (>= 1.14)
    + Versioned B-D: mate-common (>= 1.14)
    + Bump Standards: to 3.9.8. No changes needed.
  * debian/rules:
    + MateConf dropped upstream.
    + Add --with-gtk=3.0

  [ Mike Gabriel ]
  * debian/rules:
    + Avoid having non-shared-libraries in shared library path.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 25 May 2016 15:58:17 +0200

mate-screensaver (1.12.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12) and
      libmate-desktop-dev (>= 1.12).
  * debian/patches:
    + Drop 1004_libsystemd.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Jan 2016 15:32:14 +0100

mate-screensaver (1.10.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Update mate-screensaver's Breaks: and Replaces:.

  [ Mike Gabriel ]
  * Upload to unstable. This fixes a transitional FTBFS issue because of
    mate-desktop in unstable being too new. (Closes: #796452).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Aug 2015 00:02:52 +0200

mate-screensaver (1.10.2-1~exp1) experimental; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Fix segfault due to wrong object being destroyed. (Closes: #791377).

  [ Michael Biebl ]
  * debian/patches:
    + Prepare for libsystemd-login-dev -> libsystemd-dev transition in Debian
      stretch. (Closes: #779781).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2015 14:50:40 +0200

mate-screensaver (1.10.1-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 1003_proper-locale-datetime.patch. Applied upstream.
  * debian/{control,copyright,*.install}:
    + Processed with wrap-and-sort

  [ Mike Gabriel ]
  * debian/control:
    + Versioned B-D: mate-common (>= 1.10).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jun 2015 12:24:54 +0200

mate-screensaver (1.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add to D (mate-screensaver): mate-desktop-common. (Closes: #780210).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Mar 2015 18:26:50 +0100

mate-screensaver (1.8.1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop 1002_fix-segfault-if-xrandr-is-unavailable.patch. Applied upstream.
  * debian/copyright:
    + Really mention all source files.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Oct 2014 00:08:47 +0200

mate-screensaver (1.8.0-5) unstable; urgency=low

  * debian/patches:
    + Add 1003_proper-locale-datetime.patch. Use locale system to obtain
      correct date and time format for screensaver clock. (Closes: #746019).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Jun 2014 22:24:50 +0200

mate-screensaver (1.8.0-4) unstable; urgency=low

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing

  [ Mike Gabriel ]
  * debian/control:
    + Limit B-D (libsystemd-login-dev) to [linux-any]. (Closes: #749502).
  * debian/rules:
    + Enable systemd support for builds on Linux.
    + Drop upstream's non-Debian PAM configuration file after build.
  * debian/patches:
    + Add 1002_fix-segfault-if-xrandr-is-unavailable.patch. Fix SegFaults if
      XRANDR is not available. (Closes: #749629).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 May 2014 15:23:46 +0200

mate-screensaver (1.8.0-3) unstable; urgency=low

  * debian/control:
    + Add Breaks: field to mate-screensaver. The package breaks
      mate-screensaver-common (<< 1.8.0-1).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 16:29:20 +0200

mate-screensaver (1.8.0-2) unstable; urgency=low

  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).
  * debian/control:
    + Improve LONG_DESCRIPTION of the dbg:package.
  * debian/mate-screensaver-common.install:
    + Drop mate-conf .convert files from package.
  * debian/watch:
    + No need to do Debian version mangling.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2014 12:08:56 +0200

mate-screensaver (1.8.0-1) unstable; urgency=low

  * Initial release. (Closes: #734664)

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2014 18:28:21 +0100
